<script setup lang="ts">
import {reactive, ref} from 'vue';

const dynamicId = ref('MyID')
const titleClass = ref('red')
const myClass = reactive({
    red: true,
    bold: true,
    underline: true
})
myClass.red = false

const myStyle = reactive({
    fontSize: '30pt',
    border: '2pt',
    borderStyle: 'solid'
})
</script>

<template>
    <div v-bind:id="dynamicId" v-bind:class="myClass" v-bind:style="myStyle">{{ dynamicId }}</div>
</template>

<style scoped>
.red{
    color: red;
}

.bold{
    font-weight: bold;
}

.underline{
    text-decoration: underline;
}
</style>